Products

List Products

GET
/orgs/{organizationId}/products

Lists all products with optional filtering and sorting. Filter by configured side-effect type via configuredActionType (include null for products without actions).

Authorization

ApiKeyAuth
headerx-api-key<token>

API key for authentication

Path Parameters

organizationId*string

The ID or slug of the organization

Query Parameters

page?integer
Range-9007199254740991 <= value <= 9007199254740991
limit?integer
Range-9007199254740991 <= value <= 9007199254740991
sortBy?string
Value in"id""name""description""amountPerUnit""ledger""taxPercentage""disabled""metadata""createdAt""updatedAt"
sortDir?string
Value in"asc""desc"
include?|array<>|string
disabled?boolean|string|number|null
amountPerUnit?number||
ledger?number||
taxPercentage?number||
createdAt?|null
updatedAt?|null
name?string|array<string>|
description?string|array<string>|
metadata?
hasItems?boolean|string|number|null
hasNoItems?boolean|string|number|null
hasConfiguredActions?boolean|string|number|null
hasNoConfiguredActions?boolean|string|number|null
hasEventLogs?boolean|string|number|null
hasNoEventLogs?boolean|string|number|null
hasAuditLogs?boolean|string|number|null
hasNoAuditLogs?boolean|string|number|null
itemId?string|array<string>|
configuredActionId?string|array<string>|
eventLogId?string|array<string>|
auditLogId?string|array<string>|
search?string
configuredActionType?array<|unknown>
meterConsumptionCustomerType?array<>
meterConsumptionMeterType?array<>

Response Body

OK

application/json
  1. response
curl -X GET 'https://api.tillor.eu/orgs/string/products'
null